echo off
tstdrive
if errorlevel == 1 goto nogo
if errorlevel == 2 goto nogo
rem echo no error
goto exit

:nogo
echo.
echo Our tests show that the disk drive you are currently using MAY
echo not be a high-density disk drive and MAY not work with the 5.25 inch
echo disks shipped with this game.  Give them a try anyway, though.
echo It can't hurt anything.
echo.
echo If you have a 3.5 inch disk drive, you may use the enclosed 3.5 inch
echo disks to play Quest for Glory II.
echo.
echo If you have only a low-density 5.25 inch disk drive, you may still
echo be able to play the game, AS LONG AS YOU HAVE A HARD DISK AVAILABLE.
echo You will have to return the enclosed disks (both 3.5 inch and 5.25
echo inch), and we will exchange them for a set of low-density (360K)
echo 5.25 inch disks which may be used to install and play Quest for Glory II
echo on your hard disk.
echo.
pause
cls
echo.
echo If you do not have a hard disk drive, a high-density (1.2MB) 5.25 inch
echo floppy disk drive, or a 3.5 inch drive, you will not be able to play
echo Quest for Glory II.  If this is the case, you may want to return the
echo product to Sierra On-Line for either an exchange or a refund.  Please
echo call our Customer Support line at (209) 683-8989 for more information
echo on our exchange/refund policy.  We apologize for the inconvenience,
echo and thank you for buying Sierra products.
echo.
echo.
echo Please send the disks to:
echo.
echo			Sierra On-Line, Inc.
echo			ATTN: Fulfillment - QFG2 Low Density
echo			P.O. Box 485
echo			Coarsegold, CA  93614
echo.
echo Please retain your packaging and documentation.  Send only the
echo actual 3.5 inch and 5.25 inch disks.
echo.
pause
cls
echo.
echo If you are sure that you are using a 1.2MB high-density 5.25 inch drive,
echo PLEASE continue with the installation program, and try to run the game.
echo Our tests may be inconclusive and in error.  If this fails to work,
echo please call our Customer Support line at (209) 683-8989.
echo.
echo Press CTRL-C to Quit.
echo Press ENTER to continue with the installation program.
rem echo.
pause

:exit
inst

